Patchwork [WIP,00/20] Deterministic dependencies II

login
register
mail settings
Submitter Martin Jansa
Date Aug. 29, 2013, 4:02 p.m.
Message ID <cover.1377792005.git.Martin.Jansa@gmail.com>
Download mbox
Permalink /patch/56939/
State Accepted, archived
Headers show

Pull-request

git://git.openembedded.org/openembedded-core-contrib jansa/deps

Comments

Martin Jansa - Aug. 29, 2013, 4:02 p.m.
WIP because verification build is still running and I must admit that I'm mostly
testing that all dependencies are correctly "disabled" and in the end deterministic.

I'm not testing if every possible combination of PACKAGECONFIG options provide sufficient
dependency tree.

But it would be nice to get some review in advance and be able to get this
in 1.5 if I manage to fix all possible review comments and/or issues discovered
in my builds in time.

The following changes since commit 7d93288117e7054472d8a01dde0b38bc0ff98c27:

  buildtools-tarball: Add python-pkgutil (2013-08-29 00:22:49 +0100)

are available in the git repository at:

  git://git.openembedded.org/openembedded-core-contrib jansa/deps
  http://cgit.openembedded.org/cgit.cgi/openembedded-core-contrib/log/?h=jansa/deps

Martin Jansa (20):
  gstreamer1.0-libav: Add PACKAGECONFIG for orc
  libunique: Add PACKAGECONFIG for dbus
  aspell: Add PACKAGECONFIG for curses
  xf86-input-synaptics: Add dependency on libxtst
  xdypinfo: Add dependency on libxcomposite
  libmatchbox: Add PACKAGECONFIG for png
  matchbox-wm: Add dependency on libxfixes and libxcursor
  telepathy-mission-control: Add PACKAGECONFIG for upower and
    connectivity
  tcl: Add dependency on zlib
  weston: Add PACKAGECONFIG for poppler
  wget: Add dependency on libpcre
  x11vnc: Add PACKAGECONFIG for xfixes, xinerama, xrandr and xdamage
  guile: Add PACKAGECONFIG for readline
  consolekit: Add patch to explicitly disable polkit when not enabled
  glib-networking: Add PACKAGECONFIG for p11-kit
  lame: Add dependency on ncurses
  librsvg: Fix dependencies for PACKAGECONFIG gdkpixbuf
  subversion: Add dependency on file for libmagic
  systemd: Add PACKAGECONFIG for cryptsetup
  qemu: Add PACKAGECONFIG for nss, uuid, tls and curses

 .../telepathy/telepathy-mission-control_5.15.0.bb  |  8 ++++
 .../glib-networking/glib-networking_2.36.2.bb      |  3 ++
 meta/recipes-core/systemd/systemd_206.bb           |  1 +
 meta/recipes-devtools/guile/guile_2.0.9.bb         |  3 ++
 meta/recipes-devtools/qemu/qemu.inc                |  4 ++
 .../subversion/subversion_1.7.10.bb                |  2 +-
 meta/recipes-devtools/tcltk/tcl_8.6.0.bb           |  2 +-
 meta/recipes-extended/wget/wget.inc                |  2 +-
 meta/recipes-gnome/librsvg/librsvg_2.32.1.bb       |  2 +-
 meta/recipes-gnome/libunique/libunique_1.1.6.bb    |  5 ++-
 .../libmatchbox/libmatchbox_1.11.bb                |  3 ++
 .../matchbox-wm/matchbox-wm_1.2.bb                 |  2 +-
 .../matchbox-wm/matchbox-wm_git.bb                 |  2 +-
 .../0001-configure-Allow-to-disable-poppler.patch  | 43 ++++++++++++++++++++++
 meta/recipes-graphics/wayland/weston_1.1.0.bb      |  2 +
 meta/recipes-graphics/x11vnc/x11vnc_0.9.13.bb      |  6 +++
 meta/recipes-graphics/xorg-app/xdpyinfo_1.3.1.bb   |  2 +-
 .../xorg-driver/xf86-input-synaptics_1.7.1.bb      |  2 +-
 .../xorg-driver/xf86-input-synaptics_git.bb        |  2 +-
 .../gstreamer/gstreamer1.0-libav.inc               |  1 +
 meta/recipes-multimedia/lame/lame_3.99.5.bb        |  2 +
 meta/recipes-support/aspell/aspell_0.60.6.1.bb     | 12 ++++--
 .../allow.to.disable.polkit.support.patch          | 33 +++++++++++++++++
 .../recipes-support/consolekit/consolekit_0.4.6.bb |  4 +-
 24 files changed, 132 insertions(+), 16 deletions(-)
 create mode 100644 meta/recipes-graphics/wayland/weston/0001-configure-Allow-to-disable-poppler.patch
 create mode 100644 meta/recipes-support/consolekit/consolekit/allow.to.disable.polkit.support.patch
Martin Jansa - Sept. 10, 2013, 6:54 p.m.
On Thu, Aug 29, 2013 at 06:02:47PM +0200, Martin Jansa wrote:
> WIP because verification build is still running and I must admit that I'm mostly
> testing that all dependencies are correctly "disabled" and in the end deterministic.
> 
> I'm not testing if every possible combination of PACKAGECONFIG options provide sufficient
> dependency tree.
> 
> But it would be nice to get some review in advance and be able to get this
> in 1.5 if I manage to fix all possible review comments and/or issues discovered
> in my builds in time.

FYI: I didn't have time to finish this in last 2 weeks and will be very
busy for next 2 weeks so I'm OK with leaving this for 1.5.1 or something
like that after 1.5 release. I did some changes from review comments, so
the branch has slightly newer versions.

If you see something you really want to have in release please speak up
and review/confirm it for me.

The same does apply for longer meta-openembedded patchset with
dependencies.
Martin Jansa - Oct. 5, 2013, 12:16 p.m.
On Tue, Sep 10, 2013 at 08:54:27PM +0200, Martin Jansa wrote:
> On Thu, Aug 29, 2013 at 06:02:47PM +0200, Martin Jansa wrote:
> > WIP because verification build is still running and I must admit that I'm mostly
> > testing that all dependencies are correctly "disabled" and in the end deterministic.
> > 
> > I'm not testing if every possible combination of PACKAGECONFIG options provide sufficient
> > dependency tree.
> > 
> > But it would be nice to get some review in advance and be able to get this
> > in 1.5 if I manage to fix all possible review comments and/or issues discovered
> > in my builds in time.
> 
> FYI: I didn't have time to finish this in last 2 weeks and will be very
> busy for next 2 weeks so I'm OK with leaving this for 1.5.1 or something
> like that after 1.5 release. I did some changes from review comments, so
> the branch has slightly newer versions.
> 
> If you see something you really want to have in release please speak up
> and review/confirm it for me.
> 
> The same does apply for longer meta-openembedded patchset with
> dependencies.

These patches:
pick 6467505 librsvg: Fix dependencies for PACKAGECONFIG gdkpixbuf
pick db92df6 libmatchbox: Add PACKAGECONFIG for png
pick 7c66af8 weston: Add PACKAGECONFIG for poppler
pick 6284f74 guile: Add PACKAGECONFIG for readline
pick 2cb5d37 consolekit: Add patch to explicitly disable polkit when not enabled
pick fa00e58 qemu: Add PACKAGECONFIG for nss, uuid, tls and curses

need a bit more work, but others are ready for merge (verified in last
test-dependencies build).

I'll send v2 in a minute.